Package org.kapott.hbci.comm

## Class PinTanSSLHostnameVerifier

- java.lang.Object
- - org.kapott.hbci.comm.PinTanSSLHostnameVerifier

All Implemented Interfaces:
  `javax.net.ssl.HostnameVerifier`

    public class PinTanSSLHostnameVerifier
    extends java.lang.Object
    implements javax.net.ssl.HostnameVerifier

### Constructor Summary

Constructors
`PinTanSSLHostnameVerifier()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `verify​(java.lang.String hostname, javax.net.ssl.SSLSession session)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PinTanSSLHostnameVerifier

    public PinTanSSLHostnameVerifier()

### Method Detail

#### verify

    public boolean verify​(java.lang.String hostname,
                          javax.net.ssl.SSLSession session)

Specified by:
  `verify` in interface `javax.net.ssl.HostnameVerifier`